#
# spec file for package spew
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           spew
Version:        1.0.8
Release:        lp152.3.6
Summary:        An I/O performance measurement and load generation tool
License:        GPL-2.0
Group:          System/Benchmark
Url:            http://freecode.com/projects/spew
Source:         https://fossies.org/linux/privat/old/%{name}-%{version}.tgz
BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel
BuildRequires:  popt-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Spew is used to measure I/O performance of character devices, block devices,
and regular files. It can also be used to generate high I/O loads to stress
systems while verifying data integrity.

Spew is easy to use and is flexible. No configuration files or complicated
client/server configurations are needed. Spew also generates its own data
patterns that are designed to make it easy to find and debug data integrity
problems.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING FAQ NEWS README TODO
%{_bindir}/spew
%{_bindir}/gorge
%{_bindir}/regorge
%{_mandir}/man1/spew.1%{ext_man}
%{_mandir}/man1/gorge.1%{ext_man}
%{_mandir}/man1/regorge.1%{ext_man}
%config %{_sysconfdir}/spew.conf

%changelog
* Fri Jul  1 2016 mpluskal@suse.com
- Use url for source
- Trim depencencies and cleanup spec file a bit
* Thu Apr 16 2015 mpluskal@suse.com
- Actuall include changelog
* Tue Apr 14 2015 jhura@suse.com
- spec file cleaned with spec-cleaner
- updated license information and project URL
